/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.generator;

/**
 * The interface {@code XMLParserConstants} lists all available constants for {@link XMLGenerator} and
 * {@link XMLGeneratorOptions} classes.
 */
public interface XMLGeneratorConstants {

	/**
	 * Default XML extension for files handled by the parser.
	 */
	String DEFAULT_XML_FILE_EXTENSION = ".giml";

	/**
	 * Default attribute name to identify document ID in document root tag.
	 *
	 * @see #DEFAULT_XML_FILE_EXTENSION
	 */
	String DEFAULT_DOCUMENT_ID_ATTRIBUTE_NAME = "name"; // NOSONAR: this is not a constant duplication

	/**
	 * Default tag name to import documents in another document.
	 */
	String DEFAULT_IMPORT_DOCUMENT_TAGNAME = "import";

	/**
	 * Default attribute name to identify which document to include in import tag.
	 *
	 * @see #DEFAULT_IMPORT_DOCUMENT_TAGNAME
	 */
	String DEFAULT_IMPORT_NAME_ATTRIBUTE_NAME = "name"; // NOSONAR: this is not a constant duplication

	/**
	 * Default tag name to identify template declaration.
	 */
	String DEFAULT_TEMPLATE_TAGNAME = "template";

	/**
	 * Default attribute name to identify template name.
	 *
	 * @see #DEFAULT_TEMPLATE_TAGNAME
	 */
	String DEFAULT_TEMPLATE_NAME_ATTRIBUTE_NAME = "name"; // NOSONAR: this is not a constant duplication

	/**
	 * Default prefix that identify start of template parameter.
	 */
	String DEFAULT_TEMPLATE_PARAMETER_PREFIX = "{{";

	/**
	 * Default suffix that identify the end of a template parameter.
	 */
	String DEFAULT_TEMPLATE_PARAMETER_SUFFIX = "}}";

	/**
	 * Default tag name to identify template content declaration.
	 */
	String DEFAULT_TEMPLATE_CONTENT_TAGNAME = "content";

	/**
	 * Default attribute name to identify template content name.
	 *
	 * @see #DEFAULT_TEMPLATE_CONTENT_TAGNAME
	 */
	String DEFAULT_TEMPLATE_CONTENT_NAME_ATTRIBUTE_NAME = "id";

	/**
	 * Default attribute name to identify template content instantiation name.
	 *
	 * @see #DEFAULT_TEMPLATE_CONTENT_TAGNAME
	 */
	String DEFAULT_TEMPLATE_CONTENT_INSTANTIATION_NAME_ATTRIBUTE_NAME = "ref";
}
