/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.xml.parser.exception;

/**
 * An instance of {@code XMLParserUnknownAttributeException} is thrown to indicate that an attribute cannot be found in
 * a given tag.
 */
public class XMLParserUnknownAttributeException extends XMLParserException {

	private static final long serialVersionUID = -1550634317250011488L;

	/**
	 * Constructs a new exception for the given missing attribute in the given tag.
	 *
	 * @param attributeName
	 *            the name of the missing attribute.
	 * @param parentTagName
	 *            the parent tag of the missing attribute.
	 * @param documentId
	 *            the parent document.
	 */
	public XMLParserUnknownAttributeException(String attributeName, String parentTagName, String documentId) {
		super(String.format("Cannot find attribute '%s' in tag '%s' of document '%s'", attributeName, parentTagName,
				documentId));
	}

}
