/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea;

import com.is2t.icetea.nodes.AssertStatement;
import com.is2t.icetea.nodes.DirectReadAccessToMemory;
import com.is2t.icetea.nodes.DirectWriteAccessToMemory;
import com.is2t.icetea.nodes.ExternSymbol;
import com.is2t.icetea.nodes.MemoryStartAddress;
import com.is2t.icetea.nodes.StructSizeOf;

/**
 * Extension generator for IceTea nodes
 */
public interface IceteaSourceGenerator {

	void generateMemoryStartAddress(MemoryStartAddress node);

	void generateStructSizeOf(StructSizeOf node);

	void generateDirectReadAccessToMemory(DirectReadAccessToMemory node);

	void generateDirectWriteAccessToMemory(DirectWriteAccessToMemory node);

	void generateExternSymbol(ExternSymbol node);
	
	void generateAssertStatement(AssertStatement node);

}
