package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;


public class MethodDeclaration extends AbstractMethodDeclaration{

	public TypeReference returnType;

	/**
	 * Constructor used to declare an external method
	 * Or pre-create Method before generation
	 */
	public MethodDeclaration(TypeDeclaration type, char[] name){
		super(type, name);
	}
	
	public MethodDeclaration(TypeDeclaration type, Modifiers modifiers, char[] name, LocalDeclaration[] parameters, TypeReference returnType, Statement[] statements){
		super(type, name);
		initialize(modifiers, parameters, returnType, statements);
	}
	
	public void initialize(Modifiers modifiers, LocalDeclaration[] parameters, TypeReference returnType, Statement[] statements){
		super.initialize(modifiers, parameters, statements);	
		this.returnType = returnType;
	}
	
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateMethodDeclaration(this);
	}
}
