/*
 * Java
 *
 * Copyright 2009-2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

/**
 * Special expression representing a type reference (used in {@link FieldAccess}
 * / {@link MessageSend} receivers)
 */
public class TypeReferenceExpression extends Expression {

	public final TypeReference type;

	public TypeReferenceExpression(TypeReference type) {
		this.type = type;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateTypeReferenceExpression(this);
	}
}
