/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import ej.microui.display.GraphicsContext;

/**
 *
 */
public class vg_lite {
	/**
	 * See <code>vg_lite_clear</code> C function. Target buffer is managed in C.
	 */
	public static void vg_lite_clear(int x, int y, int width, int height, int color) throws vg_lite_error {
		throw new RuntimeException();
	}

	/**
	 * See <code>vg_lite_clear</code> C function. Target buffer is managed in C.
	 */
	public static void vg_lite_draw_path(GraphicsContext gc, vg_lite_path path, int fill_rule, vg_lite_matrix matrix,
			int blend, int color) throws vg_lite_error {
		int ret = Nvg_lite.vg_lite_draw_path(gc.getSNIContext(), path.getLeft(), path.getTop(), path.getRight(),
				path.getBottom(), path.getPath(), path.getPathOffset(), path.getPath().length, path.getQuality(),
				path.getFormat(), fill_rule, matrix.getHandle(), blend, color);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}

	/**
	 * See <code>vg_lite_draw_gradient</code> C function. Target buffer is managed in C.
	 */
	public static void vg_lite_draw_gradient(GraphicsContext gc, vg_lite_path path, int fill_rule,
			vg_lite_matrix matrix, vg_lite_gradient gradient, int blend) throws vg_lite_error {
		int ret = Nvg_lite.vg_lite_draw_gradient(gc.getSNIContext(), path.getLeft(), path.getTop(), path.getRight(),
				path.getBottom(), path.getPath(), path.getPathOffset(), path.getPathLength(), path.getQuality(),
				path.getFormat(), fill_rule, matrix.getHandle(), gradient.getHandle(), blend);

		if (0 != ret) {
			throw new vg_lite_error(ret);
		}
	}
}
