/*
 * Java
 *
 * Copyright 2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microui.display;

/**
 *
 */
public class PainterNatives {

	private PainterNatives() {
		// not entry point
	}

	public static native void drawPixel(byte[] sd, int x, int y);

	public static native void drawHorizontalLine(byte[] sd, int x, int y, int width);

	public static native void drawVerticalLine(byte[] sd, int x, int y, int height);

	public static native void drawLine(byte[] sd, int x1, int y1, int x2, int y2);

	public static native void drawRectangle(byte[] sd, int x, int y, int width, int height);

	public static native void fillRectangle(byte[] sd, int x, int y, int width, int height);

	public static native void drawCircleArc(byte[] sd, int x, int y, int diameter, float startAngle, float arcAngle);

	public static native void drawEllipseArc(byte[] sd, int x, int y, int width, int height, float startAngle,
			float arcAngle);

	public static native void fillCircleArc(byte[] sd, int x, int y, int diameter, float startAngle, float arcAngle);

	public static native void fillEllipseArc(byte[] sd, int x, int y, int width, int height, float startAngle,
			float arcAngle);

	public static native void drawEllipse(byte[] sd, int x, int y, int width, int height);

	public static native void fillEllipse(byte[] sd, int x, int y, int width, int height);

	public static native void drawCircle(byte[] sd, int x, int y, int size);

	public static native void fillCircle(byte[] sd, int x, int y, int size);

	public static native void drawRoundRectangle(byte[] sd, int x, int y, int width, int height, int arcWidth,
			int arcHeight);

	public static native void fillRoundRectangle(byte[] sd, int x, int y, int width, int height, int arcWidth,
			int arcHeight);

	public static native void drawImage(byte[] destSd, byte[] srcSd, int xSrc, int ySrc, int width, int height,
			int xDest, int yDest, int alpha);
}
