/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microui.display;

/**
 * microUI-API
 */
public class RenderableChar {

	// null init
	/* default */ final Font font;
	/* default */ final char c; // 0 init
	private final int areaWidth;
	private final int areaHeight;

	/**
	 * microUI-API
	 *
	 * @param f
	 *            microUI-API
	 * @param c
	 *            microUI-API
	 */
	public RenderableChar(Font f, char c) {
		this.font = f;
		this.c = c;
		this.areaWidth = f.charWidth(c);
		this.areaHeight = f.getHeight();
	}

	/**
	 * microUI-API
	 *
	 * @return microUI-API
	 */
	public Font getFont() {
		return this.font;
	}

	/**
	 * microUI-API
	 *
	 * @return microUI-API
	 */
	public char getChar() {
		return this.c;
	}

	/**
	 * microUI-API
	 *
	 * @return microUI-API
	 */
	public int getWidth() {
		return this.areaWidth;
	}

	/**
	 * microUI-API
	 *
	 * @return microUI-API
	 */
	public int getHeight() {
		return this.areaHeight;
	}
}
