/*
 * Java
 *
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.microui.event;

import java.security.Permission;

import ej.annotation.Nullable;

/**
 * microUI-API
 */
public class EventPermission extends Permission {

	private static final long serialVersionUID = 1L;

	private final EventGenerator gen;

	/**
	 * microUI-API
	 *
	 * @param gen
	 *            microUI-API
	 */
	public EventPermission(@Nullable EventGenerator gen) {
		super(null);
		this.gen = gen;
	}

	/**
	 * microUI-API
	 *
	 * @return microUI-API
	 */
	public @Nullable EventGenerator getEventGenerator() {
		return this.gen;
	}

	@Override
	public boolean equals(@Nullable Object obj) {
		return obj == this;
	}

	@Override
	public String getActions() {
		return null;
	}

	@Override
	public int hashCode() {
		return System.identityHashCode(this);
	}

	@Override
	public boolean implies(Permission permission) {
		return equals(permission);
	}

}
